image: alpine:3.10

stages:
  - build
  - deploy

install:
  stage: build
  script:
  - apk add git nodejs npm wget python
  - mkdir -p public/build
  - cd public/build
  - git clone https://github.com/hakimel/reveal.js.git
  - cd reveal.js
  - npm install
  - wget https://cdnjs.cloudflare.com/ajax/libs/headjs/1.0.3/head.min.js
  - wget https://github.com/eligrey/classList.js/blob/master/classList.min.js
  only:
  - master
  artifacts:
    paths:
    - public
    
pages:
  stage: deploy
  script:
  - FILE=$(ls *.md | grep -v "README.md")
  - "ARCHIVE=`date '+_%Y-%m-%d_%H:%M'`"
  - cp $FILE archives/$ARCHIVE -v
  - mv $FILE public/README.md -v
  - ls . |grep -v public |grep -v archives |grep -v README.md |xargs -I {} mv {} public/
  - grep -lr 'href="/' public/includes |xargs sed -i -e 's|href="/|href="/tutos/fragments/|gw /dev/stderr'
  - grep -lr 'src="/' public/includes |xargs sed -i -e 's|src="/|src="/tutos/fragments/|gw /dev/stderr'
  - grep -lr "src:'/" public/includes |xargs sed -i -e "s|src:'/|src:'/tutos/fragments/|gw /dev/stderr"
  - mv -v public/includes/index.html public/
  only:
  - master
  artifacts:
    paths:
    - public
    - archives
